Package org.gradle.nativeplatform

# Interface TargetMachineFactory

public interface TargetMachineFactory
A factory for creating `TargetMachine` objects.

Since:
  5.1

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TargetMachineBuilder`
  `getLinux()`
  Returns a `TargetMachineBuilder` for the Linux operating system family and the architecture of the current host.
  `TargetMachineBuilder`
  `getMacOS()`
  Returns a `TargetMachineBuilder` for the macOS operating system family and the architecture of the current host.
  `TargetMachineBuilder`
  `getWindows()`
  Returns a `TargetMachineBuilder` for the Windows operating system family and the architecture of the current host.
  `TargetMachineBuilder`
  `os(String operatingSystemFamily)`
  Returns a `TargetMachineBuilder` representing the specified operating system and the architecture of the current host.

- ## Method Details

  - ### getWindows

    TargetMachineBuilder getWindows()
    Returns a `TargetMachineBuilder` for the Windows operating system family and the architecture of the current host.

  - ### getLinux

    TargetMachineBuilder getLinux()
    Returns a `TargetMachineBuilder` for the Linux operating system family and the architecture of the current host.

  - ### getMacOS

    TargetMachineBuilder getMacOS()
    Returns a `TargetMachineBuilder` for the macOS operating system family and the architecture of the current host.

  - ### os

    TargetMachineBuilder os(String operatingSystemFamily)
    Returns a `TargetMachineBuilder` representing the specified operating system and the architecture of the current host.